Get Base Assets
GET/api/v2/rawmodel
Paginated response of your base assets. Search for base assets by name or tag
Request
Query Parameters
q string
Optional parameter to search for base assets by name or tag
Example: yourSearchString
page integer
Optional. Page number for pagination. Defaults to 1. If the requested page exceeds the maximum available (based on total assets and items per page), the last available page will be returned.
Example: 3
itemsPerPage integer
Optional. Number of items per page. Defaults to 10. Maximum is 50.
Example: 25
Responses
- 200
success
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
- Array [
- ]
data object[]
id integer
name string
external boolean
upload_status string
size integer
created_at string
scale_factor string
has_errors boolean
format string
tags object[]
id integer
name string
created_at string
updated_at string
raw_id integer
downloads object
error.log string
info.log string
metrics.json string
rpd_info.json string
teapot.fbx string
thumb.jpg string
warning.log string
links object
first string
last string
prev stringnullable
next stringnullable
meta object
current_page integer
from integer
last_page integer
links object[]
url stringnullable
label string
active boolean
path string
per_page integer
to integer
total integer
{
"data": [
{
"id": 1,
"name": "teapot",
"external": false,
"upload_status": "complete",
"size": 315088,
"created_at": "2022-05-24T15:05:47+02:00",
"scale_factor": "1",
"has_errors": true,
"format": "fbx",
"tags": [
{
"id": 1,
"name": "Low-Poly",
"created_at": "2022-05-24 15:06:03",
"updated_at": "2022-05-24 15:06:03",
"raw_id": 1
}
],
"downloads": {
"error.log": "signed url for the error.log",
"info.log": "signed url for info.log",
"metrics.json": "signed url for the metrics.json",
"rpd_info.json": "signed url for the rpd_info.json",
"teapot.fbx": "signed url for the teapot.obj",
"thumb.jpg": "signed url for the thumb.jpg",
"warning.log": "signed url for the warning.log"
}
}
],
"links": {
"first": "https://url/api/v2/rawmodel?page=1",
"last": "https://url/api/v2/rawmodel?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://url/api/v2/rawmodel?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://url/api/v2/rawmodel",
"per_page": 10,
"to": 1,
"total": 1
}
}
Loading...